Update Application
curl --request PUT \
--url https://api.example.com/v1/Applications/{application_sid} \
--header 'Content-Type: application/json' \
--data '
{
"account_sid": "",
"call_hook": {
"method": "POST",
"password": null,
"url": "https://9519e2c6b589.ngrok.io/dial-o-rama/collect",
"username": null
},
"call_status_hook": {
"method": "POST",
"password": null,
"url": "https://9519e2c6b589.ngrok.io/call-status",
"username": null
},
"messaging_hook": {
"method": "POST",
"password": null,
"url": "",
"username": null
},
"name": "dial-o-rama",
"speech_recognizer_language": "en-US",
"speech_recognizer_vendor": "google",
"speech_synthesis_language": "en-GB",
"speech_synthesis_vendor": "google",
"speech_synthesis_voice": "en-GB-Standard-A"
}
'import requests
url = "https://api.example.com/v1/Applications/{application_sid}"
payload = {
"account_sid": "",
"call_hook": {
"method": "POST",
"password": None,
"url": "https://9519e2c6b589.ngrok.io/dial-o-rama/collect",
"username": None
},
"call_status_hook": {
"method": "POST",
"password": None,
"url": "https://9519e2c6b589.ngrok.io/call-status",
"username": None
},
"messaging_hook": {
"method": "POST",
"password": None,
"url": "",
"username": None
},
"name": "dial-o-rama",
"speech_recognizer_language": "en-US",
"speech_recognizer_vendor": "google",
"speech_synthesis_language": "en-GB",
"speech_synthesis_vendor": "google",
"speech_synthesis_voice": "en-GB-Standard-A"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
account_sid: '',
call_hook: {
method: 'POST',
password: null,
url: 'https://9519e2c6b589.ngrok.io/dial-o-rama/collect',
username: null
},
call_status_hook: {
method: 'POST',
password: null,
url: 'https://9519e2c6b589.ngrok.io/call-status',
username: null
},
messaging_hook: {method: 'POST', password: null, url: '', username: null},
name: 'dial-o-rama',
speech_recognizer_language: 'en-US',
speech_recognizer_vendor: 'google',
speech_synthesis_language: 'en-GB',
speech_synthesis_vendor: 'google',
speech_synthesis_voice: 'en-GB-Standard-A'
})
};
fetch('https://api.example.com/v1/Applications/{application_sid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.v1
Update Application
Update the properties of an application.
Success is indicated by a 204 response.
PUT
/
v1
/
Applications
/
{application_sid}
Update Application
Path Parameters
Example:
"bd66b946-0af4-4283-b972-d0d4b0d6f088"
Body
application/json
Example:
""
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"dial-o-rama"
Example:
"en-US"
Example:
"google"
Example:
"en-GB"
Example:
"google"
Example:
"en-GB-Standard-A"
Response
204 - undefined
⌘I

